Skip to content

Readable Context targets of one admitted definition for creation. `skip` is an optional bounded page offset and must be a multiple of `take`.

GET
/api/workspace/tasks/runtime/create-options/{definitionId}/context-candidates
curl --request GET \
--url 'https://example.com/api/workspace/tasks/runtime/create-options/example/context-candidates?take=20&skip=0' \
--header 'Authorization: Bearer <token>'
definitionId
required
string
moduleKey
string
resourceKind
string
contextResourceId
string
search
string
take
integer format: int32
default: 20
skip
integer format: int32
0
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

A bounded page with the exact total of currently readable Context targets.

object
Items
Array<object>
nullable

One selectable Context target the current actor can read within an admitted definition.

object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Label
string
nullable
Subtitle
string
nullable
TotalCount
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}